AntiFeatures:
  - NonFreeNet
  - Tracking
Categories:
  - Connectivity
License: MIT
SourceCode: https://gitlab.com/tobiaswkjeldsen/carwingsflutter
IssueTracker: https://gitlab.com/tobiaswkjeldsen/carwingsflutter/issues

AutoName: My Leaf
Description: |-
  My Leaf is a simple and fast alternative to the official NissanConnect EV
  app from Nissan.

  You can ask your vehicle for the latest data, see current battery and
  charging statuses, see current climate control state, start or stop climate
  control remotely, remotely start charging, and retrieve the last known
  location of the vehicle.

  Note: The app depends on Nissan’s CarWings service, which is not libre.

RepoType: git
Repo: https://gitlab.com/tobiaswkjeldsen/carwingsflutter.git

Builds:
  - versionName: 1.9.10
    versionCode: 164
    commit: f-droid-1.9.10
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.0
    versionCode: 166
    commit: f-droid-2.0.0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.1
    versionCode: 167
    commit: f-droid-2.0.1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.2
    versionCode: 168
    commit: f-droid-2.0.2
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.3
    versionCode: 169
    commit: e32e9a14ee8626714bc7fcf1d36d1121042ccc62
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.4
    versionCode: 171
    commit: a6c101ee0d4637447363e269ac1ef2949b375879
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.5
    versionCode: 172
    commit: 438582bf073fad677a4bdacfde25f18ea11816ca
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.6
    versionCode: 174
    commit: fcc8311d3c09fb9b9ab5dcf3787b26548c25c1b8
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.8
    versionCode: 175
    commit: 3cf9f07b022c02f1230b41295b9f2aad18a81dc4
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.9
    versionCode: 176
    commit: fac2d7338a9ca999ebb45262a2a60849b8546387
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.10
    versionCode: 177
    commit: 6abfb6412144b8496b58d1a30e42471f2a0ff340
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.11
    versionCode: 179
    commit: 7ac77e7ea82befadf7fb207544a8c3b3342c23bf
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.12
    versionCode: 180
    commit: 198e28f80cb7497be2898704c8d6ce4c86880022
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.13
    versionCode: 182
    commit: 7f598efe8b3e1107d697858d7e05e51c0721e20a
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.14
    versionCode: 183
    commit: 234493f6ce7c516dcb77e96d0048222b804c3141
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.15
    versionCode: 184
    commit: 9912ada2ecef7d908248a6650383e7fbfdc53468
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.6
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.16
    versionCode: 188
    commit: 395fc6de2f0d4e44f4110fe31622432c34c693b0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.17
    versionCode: 191
    commit: 585cd3a0b69551725314f25af439049ece2dd278
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.18
    versionCode: 192
    commit: 002967c7df662e8a72eb4728ed949603cc62ec92
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.19
    versionCode: 193
    commit: c81d4d6f8044e06b628b9b7bf41bf4469a7b8cdb
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.20
    versionCode: 196
    commit: 110bf940ace6fdeb1cfb36a9868a8143cc578486
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.21
    versionCode: 197
    commit: d6ba62bd14525fe05604f4245474f68839bf02ee
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

  - versionName: 2.0.22
    versionCode: 198
    commit: c106233139736039158b6e895920cbbdfa198325
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.1.0
    versionCode: 199
    commit: b7d4a8f89b727b7233b3ba24d7f230d9acd18e6c
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.1.1
    versionCode: 200
    commit: cbaec0d90d1276cd2b4dc142dc7e46757eb47a12
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.2.0
    versionCode: 201
    commit: a3b3b6dc09f7ba89b04958d6f9a2848be9f950d9
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.2.1
    versionCode: 202
    commit: a01ab28d149df484f951c9937a0f79fe4b488fe7
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.2.2
    versionCode: 203
    commit: fb45d42cf52e0dbcc08b982adec381ea79ea7c86
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.3.0
    versionCode: 204
    commit: 9a563d3ea8d14b470e8527bf046de1bae3135dc6
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.3.1
    versionCode: 205
    commit: 426bb234f04bf908c6314b9a523aa4860011c4a7
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

  - versionName: 2.3.2
    versionCode: 206
    commit: fb0b5208c9bd87e928fd647792e26c75b9001ade
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.5
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21

AutoUpdateMode: Version
UpdateCheckMode: Tags ^f-droid
CurrentVersion: 2.3.2
CurrentVersionCode: 206
